<?php

namespace Teknisa\CADFIN\Services;

use Teknisa\CADFIN\Factories\Bco51100TipodeDebitoBancarioFactory;
use Teknisa\Model\Fiscal\Entities\Tpdebibanc;

class Bco51100TipodeDebitoBancarioService{ 
    
    protected $factory;
    protected $environment;
    
    public function __construct(Bco51100TipodeDebitoBancarioFactory $factory, $environment) {
        $this->factory = $factory;
        $this->environment = $environment;
    }
    
    public function validarCodigo($row){
        $tpdebibanc = $this->factory->getTpdebibanc($row["CDTPDEBIBANC"],$this->environment->getNrOrgTrab());
        if($tpdebibanc != null){ 
            throw new \Exception("Impossível selecionar. Registro já existe.");
        }
    }
    
}